Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal
Class CollectionSubqueryFactory

    java.lang.Object
      org.hibernate.hql.internal.CollectionSubqueryFactory

    public final class CollectionSubqueryFactory

extends Object

Provides the SQL for collection subqueries.
Moved here from PathExpressionParser to make it re-useable.

Method Summary
`static String` | `createCollectionSubquery(JoinSequence joinSequence, Map enabledFilters, String[] columns)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createCollectionSubquery

    public static String createCollectionSubquery(JoinSequence joinSequence,
                                                  Map enabledFilters,
                                                  String[] columns)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.